Subject: [RFC 0/5] restart cleanups

From: [email-masked] (Robert Jarzmik)
Date: Wed, 02 Nov 2011 22:33:00 +0100

Russell King - ARM Linux <[email-masked]> writes:
> However, we don't know whether removing the code will then prevent it
> rebooting even for a userspace-invoked reboot.  We need feedback from
> the platform maintainer for that (added Philipp and Robert in the
> hope one of them can answer this - and maybe send a patch to fix it.)

OK, I tested the serie on mioa701 board, and everything works as before. I
tested it with mioa701.c amended so that no more halt/reboot hooks are used
anymore. The resources freeing is gone as well.

I will submit the following patch [1] to get rid of the hooks to Eric, unless
you want it in your tree.

Cheers.

-- 
Robert

[1]